checkRequire("Lua_rewardUtil");
Lua_DownLoadRewardPanle = class("Lua_DownLoadRewardPanle",Lua_DisplayObject)
function Lua_DownLoadRewardPanle:ctor(p)	
	self:superCall("ctor", p, "DownloadRewardPanle_skin");
end

function Lua_DownLoadRewardPanle:buildShowItem()
   self:superCall("buildShowItem");

   self.renImage:setEnable(false); -- 暂时屏蔽

   self.pausebtn:addClickFuntion(self,self.pauseClick)
   self.getbtn:addClickFuntion(self,self.getClick)

  self.redDot = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 549, -240, 0, 0)
  self.redDot:setDepth(6);
  self.redDot.clickScale = false;
  self.redDot.name = "redDot"

   local len =  Lua_rewardUtil.gettotalcheckConfig()
   for k,v in pairs(len) do
         self.itemImg= Lua_ToolImage.new(self.content);
         self.itemImg:setLocation(-109 + (k - 1) * 100, -253, 0);
         self.itemImg:setDepth(5);
         self.itemImg.data = Lua_ToolVo.new(v[2][1], v[2][2], v[2][3])
         if v[1] == 1 then
            self.itemImg:showRoundEff(true)
            self.itemImg.roundEff:setSacle(0.9, 0.9, 0.9);
            self.itemImg.roundEff:SetRenderQueue(self.itemImg.item_bg, 8, 10, false);
        end
   end
   if DataCenter.QiandaoData.has_reward == 1 then
      self.getbtn:setEnable(false);
   end
   self.getbtn:setGray(true);
   self:updateDownloadState();
end

function Lua_DownLoadRewardPanle:dispose()
  self:superCall("dispose");
  Lua_CommonUtil.removeTimer(self, self.onpauseDown); 
end

function Lua_DownLoadRewardPanle:updateDownloadState()
  local isLoading = UpdateResourceBackground.getInstance().isLoading;
  if isLoading == true then
      self.pausebtn.label = LanUtil.getValue(120830); 
      Lua_CommonUtil.addTimer("PauseDown", 1, self, self.onpauseDown);
  else
      self.pausebtn.label = LanUtil.getValue(120829);
      Lua_CommonUtil.removeTimer(self, self.onpauseDown); 
  end
  self:onpauseDown();
end

function Lua_DownLoadRewardPanle:pauseClick()
	local isLoading = UpdateResourceBackground.getInstance().isLoading;
    if isLoading == true then
        UpdateResourceBackground.getInstance():stopLoad();
    else
        UpdateResourceBackground.getInstance():startLoad();
    end
	self:updateDownloadState();
end

function Lua_DownLoadRewardPanle:getClick()
    local curProgress = UpdateResourceBackground.getInstance().currentProgress/100;
    if curProgress >= 1 then
        DataCenter.QiandaoData:getdownload();
    else
        OperateAlert.show(LanUtil.getValue(120878));
    end
end

function Lua_DownLoadRewardPanle:onpauseDown()--显示加载进度
    local curProgress = UpdateResourceBackground.getInstance().currentProgress/100;
    if curProgress >= 1 then
       Lua_CommonUtil.removeTimer(self,self.onpauseDown); 
       self.pausebtn.label = LanUtil.getValue(120829);
       self.pausebtn:setBtnEnable(false);
       self.pausebtn:removeClickFuntion(self,self.pauseClick) 
       self.getbtn:setGray(false);
       self.jdt_bar03:SetDimensions(615, 16);
    else
        self.pausebtn:setBtnEnable(true);
        self.getbtn:setGray(true);
        self.jdt_bar03:SetDimensions(615 * curProgress, 16);
    end
    if DataCenter.QiandaoData.has_reward == 1 then
       self.getbtn:setEnable(false);
    end
    local speed = UpdateResourceBackground.getInstance():getSpeed();
    self.suduTxt.text = LanUtil.formateStr(LanUtil.getValue(120831), tostring(speed), tostring(math.floor(curProgress * 100)));
end

