--福利（新升级奖励）
Lua_LvlRewardpanle  = class("Lua_LvlRewardpanle",Lua_DisplayObject);
function Lua_LvlRewardpanle:ctor(p)	
	self:superCall("ctor", p);
end

function Lua_LvlRewardpanle:buildShowItem(go)	
	self:superCall("buildShowItem");

	self.lvlDragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 926, 570));
	self.lvlDragList:setListCell(Lua_LvlRewardItem, 135, 926, 1);
	self.lvlDragList:setLocation(126, -29, 0);

	self:addLuaEvent("LVL_UPDATE", self, self.GetOnLineUpData);
	DataCenter.QiandaoData:getlvl();
end

function Lua_LvlRewardpanle:GetOnLineUpData()
	self.lvlDragList:setLuaArrayData(DataCenter.QiandaoData.lvldata, false);
end

function Lua_LvlRewardpanle:dispose()
	if self.lvlDragList ~= nil then
		self.lvlDragList:dispose();
		self.lvlDragList = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_LvlRewardItem = class("Lua_LvlRewardItem", Lua_ListCell);
function Lua_LvlRewardItem:ctor(p)	
	self:superCall("ctor", p, "OnLineRewardItemRight_skin");
end

function Lua_LvlRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardItem = Lua_RewardItem.new(self.content);
	self.rewardItem:buildShowItem();
	self.rewardItem:setLayout(95, 80, 5);
	self.rewardItem:setDepth(5);
	self.rewardItem:setMaxShow(5);
	self.rewardItem:setClickWin(true);
	self.rewardItem:setMouseEnble(true);
	self.rewardItem:setLocation(-130, 0, 0);

	self.missIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_yicuoguo", 340.5, -1, 0, 0);
	self.missIcon:setDepth(6);
	self.missIcon.clickScale = false;
	self.missIcon.name = "missIcon";

	self.canDrawCountLab = UICreate.createLabel(self.content, "", 340, -43, 300, 30, 24);
	self.canDrawCountLab.depth = 7;
	self.canDrawCountLab.pivot = UIWidget.Pivot.Center;
	self.canDrawCountLab.name = "canDrawCountLab";

	self.stateBtn:addClickFuntion(self, self.onDrawRewardClick);
end

function Lua_LvlRewardItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.lvLab.text = data.needlvl;
	local posX = self.lvLab.mainContent.transform.localPosition.x + self.lvLab.width + 4;
	self.timetext:setLocation(posX, self.timetext.mainContent.transform.localPosition.y, 0);
	self.timetext.text = LanUtil.getValue(120824);

	local len = #data.rewardsitem;
	local rewardInfoArr = Array();
	local tvo;
	for i = 1, len do
		tvo = Lua_ToolVo.createToolVo(data.rewardsitem[i][1], data.rewardsitem[i][2], data.rewardsitem[i][3])
		tvo.star = data.rewardsitem[i][4]
		tvo.packType = 999;
		if data.isRoundEff[i] == 1 and tvo.color >= 3 then
			tvo.roundEffect = true;
		end
		rewardInfoArr:add(tvo);
	end
	self.rewardItem:setRewardByArray(rewardInfoArr);

	-- isActive，1 未领取，2 已领取，0 未达成，3 已错过
	if data.isActive == 1 then
		self.stateBtn.label = LanUtil.getValue(120813);
	elseif data.isActive == 0 then
		self.stateBtn.label = LanUtil.getValue(120814);
	end

	self.missIcon:setEnable(data.isActive == 3);
	if tonumber(data.reward_number_limit) == -1  then
		self.missIcon:setEnable(false);
	else
		self.canDrawCountLab.text = LanUtil.formateStr(LanUtil.getValue(120850), tostring(data.sub));
	end

	self.stateBtn:setEnable(data.isActive == 0 or data.isActive == 1);
	self.stateBtn:setStyle(data.isActive == 1 and 13 or 12);
	self.stateBtn:setMouseEnable(data.isActive == 1);
	self.redDot:setEnable(data.isActive == 1);
	self.canDrawCountLab:setEnable(data.sub > 0 and data.isActive ~= 2);
	self.drawedIcon:setEnable(data.isActive == 2);
end

function Lua_LvlRewardItem:checkOutBound(showRect)
	-- local width = self.rewardItem.awords[1].item_bg.width;
	-- local height = self.rewardItem.awords[1].item_bg.height;
	local rect = Lua_Rectangle.new(self.itemX - 75 / 2, self.itemY - 77 / 2, 75, 77);
	local isShowEffect = showRect:containeRect(rect);
	for i = 1, #self.data.isRoundEff do
		self.rewardItem.awords[i]:showRoundEff(isShowEffect and self.data.isRoundEff[i] == 1);
	end
end

function Lua_LvlRewardItem:onDrawRewardClick() 
	DataCenter.QiandaoData:getlvlreward(self.data.needlvl);
	if self.data.needlvl == 70 then
		DataCenter.sdkInterface:callSDKInterface(Lua_SDKMessageType.onLvlReward);
	end
end

function Lua_LvlRewardItem:dispose()
	if self.rewardItem ~= nil then
		self.rewardItem:dispose();
		self.rewardItem = nil;
	end
	if self.missIcon ~= nil then
		self.missIcon:dispose();
		self.missIcon = nil;
	end
	if self.canDrawCountLab ~= nil then
		self.canDrawCountLab:dispose();
		self.canDrawCountLab = nil;
	end
	self.data = nil;

	self:superCall("dispose");
end





	




