--福利
checkRequire("Lua_QianDaoRightPanle");
checkRequire("Lua_OnLineRewardPlane");
checkRequire("Lua_UpdatenoticePlane");
checkRequire("Lua_ConversionPlane");
checkRequire("Lua_LvlRewardpanle");
checkRequire("Lua_DownLoadRewardPanle");
checkRequire("Lua_MondayGiftPanel");
Lua_RewardWindow = class("Lua_RewardWindow", Lua_FullSizeWindow);
function Lua_RewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_RewardWindow";
	self.skinName = "RewardWindow_skin";
end

function Lua_RewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self:setShowTitle("titleName_altas_1", "jiangli");

	self.rewardBtns = Lua_DragList.new(self.content,1, Vector4(0, 0, 220, 600));
	self.rewardBtns:setLocation(-500, -40, 0);
	self.rewardBtns:setListCell(Lua_RewardLifeItem, 87, 220, 1);
	self.rewardBtns:setDepth(5);

	self:addLuaEvent("REWARD_UPDATE", self, self.onButtonClick);
	self:addLuaEvent("CONEALREREWARD_UPDATE", self, self.btnNames);
	self:addLuaEvent("SET_REWARDBG_ENABLE", self, self.setBgEnable);
	DataCenter.QiandaoData:inquireReward();
end

function Lua_RewardWindow:btnNames(index)
	if self.param == nil  then
		if index == nil then
			self.count = DataCenter.QiandaoData.count
			index = 1;
		else
			self.count = self.count;
		end

		self.btnName = DataCenter.QiandaoData.btnleftNames;
		self.rewardBtns:setLuaArrayData(self.btnName, false);
		self:onButtonClick(index);
	else
		self.count = 0;
		self.btnName = DataCenter.QiandaoData.btnleftNames;

		local len = self.btnName:getSize();
		for i = 1, len do
			if self.param == self.btnName[i].openId then
				self.param = i;
			end
		end
		self.rewardBtns:setLuaArrayData(self.btnName, false);
		self.rewardBtns:setSelected(self.param);
		self:onButtonClick(self.param);
	end
end

function Lua_RewardWindow:showWin(param)
	self:superCall("showWin", param);

	DataCenter.QiandaoData:inquireReward()
	DataCenter.QiandaoData:leftBtn()
	if param == nil then	
		self.param = DataCenter.QiandaoData.btnleftNames[1].openId
	else
		if type(param) == "number" then
			self.param = param;
		else
			self.param = param.openIdx
		end
	end
end

function Lua_RewardWindow:onButtonClick(index)
	self:onPanleClick(index);
	self.rewardBtns:setSelected(index);
end

function Lua_RewardWindow:onPanleClick(index)
	if self.btnName:getSize() == 0 then
		return;
	end

	if index ~= self.count then
		if self.qiandaopanle ~= nil then
			self.qiandaopanle:dispose();
		end
		if self.btnName[index] == nil then
			return;
		end
		self.qiandaopanle = self.btnName[index].panle.new(self.content);
		self:updateWindowDepth();
		self.count = index
	end
end

function Lua_RewardWindow:setBgEnable(val)
	self.showInfoBg:setEnable(val);
end

function Lua_RewardWindow:dispose()
	if self.rewardBtns ~= nil then
		self.rewardBtns:dispose();
		self.rewardBtns = nil;
	end
	DataCenter.QiandaoData:getSevent()

	self:superCall("dispose")
end





--------------------------------------------------





Lua_RewardLifeItem = class("Lua_RewardLifeItem", Lua_ListCell);
function Lua_RewardLifeItem:ctor(p)	
	self:superCall("ctor", p, "RewardItemLeft_skin");
end

function Lua_RewardLifeItem:buildShowItem() 
	self:superCall("buildShowItem");

	self.content.name = "Lua_RewardLifeItem";

	--指引需要点击，勿删
	self.bg:addClickFuntion(self, self.onBgClick);

	self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.refreshRedDot); -- 图标红点更新
end

function Lua_RewardLifeItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	--指引需要的组件名，勿删
	self.bg.name = "bg_"..self.data.openId;
	self.rewardTxt.text = data.name;

	local reddotShow, reddotShow1;
	for i = 1, #data.eventIds do
		if DataCenter.redDotData:getRedDotStateByEventId(data.eventIds[1]) == true then
			reddotShow = true;
		else
			reddotShow = false;
		end

		if i == 2 then
			if DataCenter.redDotData:getRedDotStateByEventId(data.eventIds[2]) == true then
				reddotShow1 = true;
			else
				reddotShow1 = false;
			end
		end
    end

    if tonumber(data.eventIds[1]) == 10016 then
		-- if UpdateResourceBackground.getInstance().currentProgress / 100 >= 1 then
			reddotShow = true;
		-- else
		-- 	reddotShow = false;
		-- end
	end
	self.redDot:setEnable(reddotShow == true or reddotShow1 == true);
end

function Lua_RewardLifeItem:setCellSeqIndex(index)
	self:superCall("setCellSeqIndex", index);
	--指引需要的组件名，勿删
	self.content.name = "Lua_RewardLifeItem".. index;
end

function Lua_RewardLifeItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("REWARD_UPDATE", self.data.index);
end

function Lua_RewardLifeItem:onSelectionChange(val)
	self:superCall("onSelectionChange", val);
    
	if self.bg ~= nil then
		if val == true then
			self.bg:setAltas("common_atlas_1", "ui_common_btn_p1");
			self.rewardTxt.colorStr = Lua_ColorDefine.transColor("FFEDDD", 1);
		else
			if DataCenter.funcOpenData:isOpened(self.data.openId) then
				self.bg:setAltas("common_atlas_1", "ui_common_btn_p2");
				self.rewardTxt.colorStr = Lua_ColorDefine.transColor("D5DADE", 1);
			else
				self.bg:setAltas("common_atlas_1", "ui_common_btn_p0");
				self.rewardTxt.colorStr = Lua_ColorDefine.transColor("79808C", 1);
			end
		end
	end
end

function Lua_RewardLifeItem:refreshRedDot()
    local reddotShow, reddotShow1;
	for i = 1, #self.data.eventIds do
		if DataCenter.redDotData:getRedDotStateByEventId(self.data.eventIds[1]) == true then 
			reddotShow = true;
		else
			reddotShow = false;
		end

		if i == 2 then
			if DataCenter.redDotData:getRedDotStateByEventId(self.data.eventIds[2]) == true then 
				reddotShow1 = true;
			else
				reddotShow1 = false;
			end
		end
	end

	if tonumber(self.data.eventIds[1]) == 10016 then
		-- if UpdateResourceBackground.getInstance().currentProgress/100 >= 1 then
			reddotShow = true;
		-- else
		-- 	reddotShow = false;
		-- end
	end
	self.redDot:setEnable(reddotShow == true or reddotShow1 ==true);
end

function Lua_RewardLifeItem:onBgClick(go)
	Lua_MsgUtil.callFunc("REWARD_UPDATE",self.data.index);
end

function Lua_RewardLifeItem:dispose()
	self.data = nil;

	self:superCall("dispose");
end