Lua_UpdatenoticePlane = class("Lua_UpdatenoticePlane",Lua_DisplayObject)

function Lua_UpdatenoticePlane:ctor(p)	
	self:superCall("ctor", p, "Lua_UpdatenoticePlane_skin");
    self.rd = DataCenter.QiandaoData;
end
function Lua_UpdatenoticePlane:buildShowItem()	
	self:superCall("buildShowItem");
	DataCenter.QiandaoData:getUpdateNotice()
	self:addLuaEvent("UPDATENOTICE_UPDATE",self,self.updateRecord);
	self.dragContainer = Lua_DragContainer.new(self.content,1, Vector4(0,0, 1000, 420));
	self.dragContainer:setLocation(118, -3, 0);
	self.dragContainer.uiPanel.depth = 3000;
	self.dragContainer.onMoveingOwner = self;
	self.dragContainer.onMoveingCallBack = self.onMoveingCallBack;
	self.logItem = Lua_UpdatenoticeItem.new(self.dragContainer.sub);
    self.dragContainer:addSubContainer(self.logItem,true);
	self.dragContainer:updateChildPos();
	WindowMananger.getInstance():resetChildParent(self.content.transform);
	LuaUtil.updateWindowDepth(nil);
	self.contentSptite:SetDimensions(980,435)
	self.getBtn:addClickFuntion(self,self.ongetBtnClick)
	self.redDot:SetDimensions(20,20);
end

function Lua_UpdatenoticePlane:onMoveingCallBack(val)
    local subY = self.dragContainer.sub.transform.localPosition.y
	if self.logItem:isComparison() <= subY + 420 and self.logItem:isComparison() ~= 0 then
		DataCenter.QiandaoData.isgetReward = true;
	end

	
end

function Lua_UpdatenoticePlane:ongetBtnClick()
	if DataCenter.QiandaoData.isgetReward ~= true then
		OperateAlert.show(LanUtil.getValue(120855))
		return
	end

	DataCenter.QiandaoData:getNoticeRewadr()
end
function Lua_UpdatenoticePlane:updateRecord()
	local logStr = "";
	for k,v in ipairs(self.rd.contentTxt) do		
		logStr  = logStr..v; 
	end
	logStr = "[31485e]"..logStr.."[-]";
	self.logItem:setText(logStr,self.rd.title);
	self.dragContainer:updateChildPos();
	for i=1,#self.rd.item_set do
		self.itemImg = Lua_ToolImage.new(self.content);
		self.itemImg:setDepth(5);
		local reward  = Lua_ToolVo.createToolVo(self.rd.item_set[i].id,self.rd.item_set[i].amount,self.rd.item_set[i].bind)
		self.itemImg:setLocation(-284+(i-1)*100,-283,0);
		self.itemImg.data = reward;
	end
	local isShow = tonumber(tostring(GlobalVar.cur_tick)) - tonumber(self.rd.start_tick) > 0
	if self.rd.draw_flag == 1  and isShow == true then
		self.getBtn.label = LanUtil.getValue(122901)
		self.getBtn:setBtnEnable(true)
		self.redDot:setEnable(true);
	else
		self.getBtn:setBtnEnable(false)
		self.getBtn.label = LanUtil.getValue(110029)
		self.redDot:setEnable(false);
		
	end
	self:onMoveingCallBack(0)
end

Lua_UpdatenoticeItem = class("Lua_UpdatenoticeItem", Lua_DragContainerItem);
function Lua_UpdatenoticeItem:ctor(dragContainer)
	self:superCall("ctor", dragContainer);
	
end
function Lua_UpdatenoticeItem:buildShowItem()
	self:superCall("buildShowItem");

	self.logTxtTitle = UICreate.createLabel(self.content,"",0,0,920,0,24);
	self.logTxtTitle.pivot =  UIWidget.Pivot.TopLeft;
	--self.logTxt.spacingY = 9;
	self.logTxtTitle.overflowMethod = UILabel.Overflow.ResizeHeight;
	self.logTxtTitle:setLocation(-450,189,0);
	self.logTxtTitle.name = "logTxtTitle"
	self.logTxtTitle:setDepth(5);

	self.logTxt = UICreate.createLabel(self.content,"",0,0,920,0,24);
	self.logTxt.pivot =  UIWidget.Pivot.TopLeft;
	self.logTxt.spacingY = 9;
	self.logTxt.overflowMethod = UILabel.Overflow.ResizeHeight;
	self.logTxt:setLocation(-450,137,0);
	self.logTxt.name = "logTxt"
	self.logTxt:setDepth(5);
end

function Lua_UpdatenoticeItem:setText(val,title)
	self.logTxtTitle.text = "[f42a2a]"..title.."[-]"
	self.logTxt.text = val;
end
function Lua_UpdatenoticeItem:getHeight()
    return self.logTxt.height + self.logTxtTitle.height + 50;
end

function Lua_UpdatenoticeItem:getWidth()
    return 0;
end
function Lua_UpdatenoticeItem:isComparison(val)
    return  self.logTxt.height + self.logTxtTitle.height + 50
end